Package com.google.gwt.user.cellview.client

## Interface CellTable.Style

- All Superinterfaces:
    `CssResource`, `CssResourceBase`, `ResourcePrototype`
  All Known Subinterfaces:
    `CellTable.BasicStyle`
  Enclosing class:
    CellTable<T>

      @ImportedWithPrefix("gwt-CellTable")
      public static interface CellTable.Style
      extends CssResource

  Styles used by this widget.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.CssResource

      `CssResource.ClassName, CssResource.Import, CssResource.ImportedWithPrefix, CssResource.NotStrict, CssResource.Shared, CssResource.Strict`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_CSS` | The path to the default CSS styles used by this resource.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `cellTableCell()` | Applied to every cell.
    `java.lang.String` | `cellTableEvenRow()` | Applied to even rows.
    `java.lang.String` | `cellTableEvenRowCell()` | Applied to cells in even rows.
    `java.lang.String` | `cellTableFirstColumn()` | Applied to the first column.
    `java.lang.String` | `cellTableFirstColumnFooter()` | Applied to the first column footers.
    `java.lang.String` | `cellTableFirstColumnHeader()` | Applied to the first column headers.
    `java.lang.String` | `cellTableFooter()` | Applied to footers cells.
    `java.lang.String` | `cellTableHeader()` | Applied to headers cells.
    `java.lang.String` | `cellTableHoveredRow()` | Applied to the hovered row.
    `java.lang.String` | `cellTableHoveredRowCell()` | Applied to the cells in the hovered row.
    `java.lang.String` | `cellTableKeyboardSelectedCell()` | Applied to the keyboard selected cell.
    `java.lang.String` | `cellTableKeyboardSelectedRow()` | Applied to the keyboard selected row.
    `java.lang.String` | `cellTableKeyboardSelectedRowCell()` | Applied to the cells in the keyboard selected row.
    `java.lang.String` | `cellTableLastColumn()` | Applied to the last column.
    `java.lang.String` | `cellTableLastColumnFooter()` | Applied to the last column footers.
    `java.lang.String` | `cellTableLastColumnHeader()` | Applied to the last column headers.
    `java.lang.String` | `cellTableLoading()` | Applied to the loading indicator.
    `java.lang.String` | `cellTableOddRow()` | Applied to odd rows.
    `java.lang.String` | `cellTableOddRowCell()` | Applied to cells in odd rows.
    `java.lang.String` | `cellTableSelectedRow()` | Applied to selected rows.
    `java.lang.String` | `cellTableSelectedRowCell()` | Applied to cells in selected rows.
    `java.lang.String` | `cellTableSortableHeader()` | Applied to header cells that are sortable.
    `java.lang.String` | `cellTableSortedHeaderAscending()` | Applied to header cells that are sorted in ascending order.
    `java.lang.String` | `cellTableSortedHeaderDescending()` | Applied to header cells that are sorted in descending order.
    `java.lang.String` | `cellTableWidget()` | Applied to the table.

    - ### Methods inherited from interface com.google.gwt.resources.client.CssResource

      `ensureInjected, getText`

    - ### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

      `getName`

- - ### Field Detail

    - #### DEFAULT_CSS

          static final java.lang.String DEFAULT_CSS

      The path to the default CSS styles used by this resource.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### cellTableCell

          java.lang.String cellTableCell()

      Applied to every cell.

    - #### cellTableEvenRow

          java.lang.String cellTableEvenRow()

      Applied to even rows.

    - #### cellTableEvenRowCell

          java.lang.String cellTableEvenRowCell()

      Applied to cells in even rows.

    - #### cellTableFirstColumn

          java.lang.String cellTableFirstColumn()

      Applied to the first column.

    - #### cellTableFirstColumnFooter

          java.lang.String cellTableFirstColumnFooter()

      Applied to the first column footers.

    - #### cellTableFirstColumnHeader

          java.lang.String cellTableFirstColumnHeader()

      Applied to the first column headers.

    - #### cellTableFooter

          java.lang.String cellTableFooter()

      Applied to footers cells.

    - #### cellTableHeader

          java.lang.String cellTableHeader()

      Applied to headers cells.

    - #### cellTableHoveredRow

          java.lang.String cellTableHoveredRow()

      Applied to the hovered row.

    - #### cellTableHoveredRowCell

          java.lang.String cellTableHoveredRowCell()

      Applied to the cells in the hovered row.

    - #### cellTableKeyboardSelectedCell

          java.lang.String cellTableKeyboardSelectedCell()

      Applied to the keyboard selected cell.

    - #### cellTableKeyboardSelectedRow

          java.lang.String cellTableKeyboardSelectedRow()

      Applied to the keyboard selected row.

    - #### cellTableKeyboardSelectedRowCell

          java.lang.String cellTableKeyboardSelectedRowCell()

      Applied to the cells in the keyboard selected row.

    - #### cellTableLastColumn

          java.lang.String cellTableLastColumn()

      Applied to the last column.

    - #### cellTableLastColumnFooter

          java.lang.String cellTableLastColumnFooter()

      Applied to the last column footers.

    - #### cellTableLastColumnHeader

          java.lang.String cellTableLastColumnHeader()

      Applied to the last column headers.

    - #### cellTableLoading

          java.lang.String cellTableLoading()

      Applied to the loading indicator.

    - #### cellTableOddRow

          java.lang.String cellTableOddRow()

      Applied to odd rows.

    - #### cellTableOddRowCell

          java.lang.String cellTableOddRowCell()

      Applied to cells in odd rows.

    - #### cellTableSelectedRow

          java.lang.String cellTableSelectedRow()

      Applied to selected rows.

    - #### cellTableSelectedRowCell

          java.lang.String cellTableSelectedRowCell()

      Applied to cells in selected rows.

    - #### cellTableSortableHeader

          java.lang.String cellTableSortableHeader()

      Applied to header cells that are sortable.

    - #### cellTableSortedHeaderAscending

          java.lang.String cellTableSortedHeaderAscending()

      Applied to header cells that are sorted in ascending order.

    - #### cellTableSortedHeaderDescending

          java.lang.String cellTableSortedHeaderDescending()

      Applied to header cells that are sorted in descending order.

    - #### cellTableWidget

          java.lang.String cellTableWidget()

      Applied to the table.